%define url_ver %(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

# fix COPR builds
%{!?_metainfodir:%global _metainfodir %{_datadir}/metainfo}

Summary:	Screen capture tool for Xfce
Name:		xfce4-screenshooter
Version:	1.9.8
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/apps/screenshooter/start
Source0:	https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes)
Provides:	xfce4-screenshooter-plugin
Requires:	xfce4-panel

%description
This application allows you to capture the entire screen,
the active window or a selected region. You can set the delay
that elapses before the screenshot is taken and the action that
will be done with the screenshot: save it to a PNG file, copy
it to the clipboard, or open it using another application.

A plugin for the Xfce panel is also available.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--disable-static

%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README*
%{_bindir}/*
%{_libdir}/xfce4/panel/plugins/libscreenshooterplugin.so
%{_datadir}/xfce4/panel/plugins/screenshooter.desktop
%{_datadir}/applications/xfce4-screenshooter.desktop
%{_iconsdir}/hicolor/*/apps/*.*g
%{_mandir}/man1/*
%{_metainfodir}/xfce4-screenshooter.appdata.xml


%changelog
* Fri Dec 25 2020 wally <wally> 1.9.8-1.mga8
+ Revision: 1663735
- new version 1.9.8

* Mon Feb 17 2020 umeabot <umeabot> 1.9.7-2.mga8
+ Revision: 1537532
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Nov 04 2019 wally <wally> 1.9.7-1.mga8
+ Revision: 1457702
- new version 1.9.7

* Mon Aug 26 2019 wally <wally> 1.9.6-1.mga8
+ Revision: 1432548
- new version 1.9.6

* Sun Mar 31 2019 wally <wally> 1.9.5-1.mga7
+ Revision: 1383353
- new version 1.9.5

* Sat Mar 09 2019 wally <wally> 1.9.4-1.mga7
+ Revision: 1373059
- new version 1.9.4

* Sun Sep 23 2018 umeabot <umeabot> 1.9.3-2.mga7
+ Revision: 1301878
- Mageia 7 Mass Rebuild

* Sat Aug 11 2018 wally <wally> 1.9.3-1.mga7
+ Revision: 1251028
- new version 1.9.3

* Tue May 01 2018 wally <wally> 1.9.2-1.mga7
+ Revision: 1224230
- new version 1.9.2

* Sat Sep 30 2017 wally <wally> 1.9.1-1.mga7
+ Revision: 1161990
- new version 1.9.1

* Tue Feb 09 2016 umeabot <umeabot> 1.8.2-3.mga6
+ Revision: 952462
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 1.8.2-2.mga5
+ Revision: 817514
- rebuild for new libxfce4util

* Sat Feb 07 2015 wally <wally> 1.8.2-1.mga5
+ Revision: 813884
- new version 1.8.2
- drop unneeded patches

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-8.mga5
+ Revision: 740421
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-7.mga5
+ Revision: 690627
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.8.1-6.mga4
+ Revision: 523620
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 1.8.1-5.mga4
+ Revision: 425242
- remove trailing spaces from description
- drop .la file
- save some space and symlink some docs
- fix docs location for ast language

* Mon Jan 14 2013 umeabot <umeabot> 1.8.1-4.mga3
+ Revision: 386863
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 1.8.1-3.mga3
+ Revision: 338198
- add patch to fix build with automake 1.13

* Sat Nov 10 2012 wally <wally> 1.8.1-2.mga3
+ Revision: 316850
- replace linking patch with one from upstream to fix plugin build
- exclude plugin .so from provides

* Mon May 28 2012 wally <wally> 1.8.1-1.mga3
+ Revision: 248588
- new version 1.8.1
- clean .spec

* Tue Jan 03 2012 wally <wally> 1.8.0-2.mga2
+ Revision: 190111
- add patch to fix linking
- rebuild for new xfce4-panel

* Tue Sep 06 2011 tv <tv> 1.8.0-1.mga2
+ Revision: 139824
- new release

* Sat Feb 19 2011 ahmad <ahmad> 1.7.9-3.mga1
+ Revision: 54236
- imported package xfce4-screenshooter


* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.9-2mdv2011.0
+ Revision: 579672
- rebuild for new xfce 4.7.0

* Tue Feb 09 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.9-1mdv2011.0
+ Revision: 503431
- update to new version 1.7.9

* Sun Jun 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.0-1mdv2010.0
+ Revision: 385920
- update to new version 1.6.0
- add buildrequires on libcurl-devel and libxmlrpc-c-devel to enable ZimageZ support

* Wed Feb 25 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.1-1mdv2009.1
+ Revision: 344753
- update to new version 1.5.1

* Sun Jan 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.0-1mdv2009.1
+ Revision: 331021
- fix file list
- update to new version 1.5.0

* Fri Jan 02 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.90.0-1mdv2009.1
+ Revision: 323345
- update to new version 1.4.90.0
- add provides/obsoletes on old name
- upstream has changed name

* Sun Nov 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-1mdv2009.1
+ Revision: 303602
- update to new version 1.4.0

* Fri Nov 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.9.3-1mdv2009.1
+ Revision: 303339
- update to new version 1.3.9.3

* Thu Nov 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.9.2-1mdv2009.1
+ Revision: 302802
- update to new version 1.3.9.2

* Tue Nov 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.9.1-1mdv2009.1
+ Revision: 302305
- update to new version 1.3.9.1

* Wed Nov 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.9.0-1mdv2009.1
+ Revision: 300085
- fix file list
- update to new version 1.3.9.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.2-2mdv2009.1
+ Revision: 295007
- rebuild for new Xfce4.6 beta1

* Mon Aug 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.2-1mdv2009.0
+ Revision: 275612
- update to new version 1.3.2

* Fri Jul 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.1-1mdv2009.0
+ Revision: 237849
- update to new version 1.3.1

* Sun Jun 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.0-1mdv2009.0
+ Revision: 230090
- fix file list
- update to new version 1.2.0
- update url and description
- update to new version 1.1.0
- drop both patches
- fix file list

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-2mdv2009.0
+ Revision: 194676
- Patch0: fix filename generation
- Patch1: do not save file when cancel button has been pressed
- fix file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2008.1
+ Revision: 110131
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING and INSTALL files
- use upstream name

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-5mdv2008.0
+ Revision: 33254
- spec file clean

